PMEXPR(3)

NAME
PMExpr - returns 1 if the pattern matching is possible between two expressions.

SYNOPSYS
#include "logmmm.h"
int PMExpr(expr, pattern)
chain_list *expr,*pattern;

PARAMETERS

expr
    first expression

pattern
    pattern expression

DESCRIPTION
PMExpr() returns 1 if the pattern matching is OK between expr and pattern , in any other case, 0 is returned.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = charToExpr("(or (and a b) (xor a d))");
expr2 = charToExpr("(or (and x y) z)");
printf("%d,PMExpr(expr1,expr2));
/* it will display
1
*/
freeExpr(expr2);
expr2 = charToExpr("(or (and x y) (xor x y))");
printf("%d,PMExpr(expr1,expr2));
/* it will display
0
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), equalExpr(3), equalVarExpr(3), searchExpr(3), searchOperExpr(3), lengthExpr(3), profExpr(3), numberAtomExpr(3).